﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace LoyaltyPointEngine.PointLogicLayer.GlobalPontaService {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://global.ponta.co.id/", ConfigurationName="GlobalPontaService.GlobalPontaServicePortType")]
    public interface GlobalPontaServicePortType {
        
        [System.ServiceModel.OperationContractAttribute(Action="urn:processRequest", ReplyAction="urn:processRequestResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        string processRequest(string in0, string in1, string in2, string in3, string in4);
        
        [System.ServiceModel.OperationContractAttribute(Action="urn:processRequest", ReplyAction="urn:processRequestResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        System.Threading.Tasks.Task<string> processRequestAsync(string in0, string in1, string in2, string in3, string in4);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface GlobalPontaServicePortTypeChannel : LoyaltyPointEngine.PointLogicLayer.GlobalPontaService.GlobalPontaServicePortType, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class GlobalPontaServicePortTypeClient : System.ServiceModel.ClientBase<LoyaltyPointEngine.PointLogicLayer.GlobalPontaService.GlobalPontaServicePortType>, LoyaltyPointEngine.PointLogicLayer.GlobalPontaService.GlobalPontaServicePortType {
        
        public GlobalPontaServicePortTypeClient() {
        }
        
        public GlobalPontaServicePortTypeClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public GlobalPontaServicePortTypeClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public GlobalPontaServicePortTypeClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public GlobalPontaServicePortTypeClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public string processRequest(string in0, string in1, string in2, string in3, string in4) {
            return base.Channel.processRequest(in0, in1, in2, in3, in4);
        }
        
        public System.Threading.Tasks.Task<string> processRequestAsync(string in0, string in1, string in2, string in3, string in4) {
            return base.Channel.processRequestAsync(in0, in1, in2, in3, in4);
        }
    }
}
